Re: new release imminent, issues ...

classic Classic list List threaded Threaded
12 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: new release imminent, issues ...

Dominic Sacré
On Tuesday, 30. May 2006 22:40, Paul Davis wrote:
> I would like to do a new release of JACK very soon. This raises two
> important issues:
>
> 1) TESTING
>
>  We need more reports on the code in SVN from more systems.
>  Do your part! Compile, test, send a brief email to the
>  list saying "It works" or "Its broken".

I built current SVN today. Running configure with --disable-freebob also
disabled ALSA support, which was of course not what I intended, even
adding --enable-alsa didn't help.
Without --disable-freebob, ALSA was enabled, and freebob is disabled by
default.
I'm running Ubuntu Dapper, if that matters.

    Dominic


_______________________________________________
Jackit-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jackit-devel
Reply | Threaded
Open this post in threaded view
|

Re: new release imminent, issues ...

Jack O'Quin
On 6/8/06, Dominic Sacré <[hidden email]> wrote:

> On Tuesday, 30. May 2006 22:40, Paul Davis wrote:
> > I would like to do a new release of JACK very soon. This raises two
> > important issues:
> >
> >       1) TESTING
> >
> >         We need more reports on the code in SVN from more systems.
> >         Do your part! Compile, test, send a brief email to the
> >         list saying "It works" or "Its broken".
>
> I built current SVN today. Running configure with --disable-freebob also
> disabled ALSA support, which was of course not what I intended, even
> adding --enable-alsa didn't help.
> Without --disable-freebob, ALSA was enabled, and freebob is disabled by
> default.
> I'm running Ubuntu Dapper, if that matters.

Me, too.  I reported the same problem.

Any idea how to fix it?  I looked at the relevant parts of configure.ac
rather carefully and could not see anything wrong.  I'm using the latest
Dapper autoconf version 2.59 and automake version 1.9.6.  I wonder if
they are broken?  What versions do you have (there are several automake
packages with Dapper, and the default is selectable).
--
 joq


_______________________________________________
Jackit-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jackit-devel
Reply | Threaded
Open this post in threaded view
|

Re: new release imminent, issues ...

Dominic Sacré
On Friday, 9. June 2006 01:27, Jack O'Quin wrote:

> > I built current SVN today. Running configure with --disable-freebob
> > also disabled ALSA support, which was of course not what I intended,
> > even adding --enable-alsa didn't help.
> > Without --disable-freebob, ALSA was enabled, and freebob is disabled
> > by default.
> > I'm running Ubuntu Dapper, if that matters.
>
> Me, too.  I reported the same problem.
>
> Any idea how to fix it?  I looked at the relevant parts of configure.ac
> rather carefully and could not see anything wrong.  I'm using the
> latest Dapper autoconf version 2.59 and automake version 1.9.6.  I
> wonder if they are broken?  What versions do you have (there are
> several automake packages with Dapper, and the default is selectable).

I'm also using autoconf 2.59 and automake 1.9.6. But after installing
automake 1.8 or 1.7 instead (and rerunning autogen.sh), the issue still
remains.
I even tried autoconf and automake1.9 from Debian unstable (on the same
Ubuntu install), same result. But I have no idea whether this problem is
Ubuntu specific.

    Dominic


_______________________________________________
Jackit-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jackit-devel
Reply | Threaded
Open this post in threaded view
|

Re: new release imminent, issues ...

Jack O'Quin
On 6/8/06, Dominic Sacré <[hidden email]> wrote:

> On Friday, 9. June 2006 01:27, Jack O'Quin wrote:
> > > I built current SVN today. Running configure with --disable-freebob
> > > also disabled ALSA support, which was of course not what I intended,
> > > even adding --enable-alsa didn't help.
> > > Without --disable-freebob, ALSA was enabled, and freebob is disabled
> > > by default.
> > > I'm running Ubuntu Dapper, if that matters.
> >
> > Me, too.  I reported the same problem.
> >
> > Any idea how to fix it?  I looked at the relevant parts of configure.ac
> > rather carefully and could not see anything wrong.  I'm using the
> > latest Dapper autoconf version 2.59 and automake version 1.9.6.  I
> > wonder if they are broken?  What versions do you have (there are
> > several automake packages with Dapper, and the default is selectable).
>
> I'm also using autoconf 2.59 and automake 1.9.6. But after installing
> automake 1.8 or 1.7 instead (and rerunning autogen.sh), the issue still
> remains.
> I even tried autoconf and automake1.9 from Debian unstable (on the same
> Ubuntu install), same result. But I have no idea whether this problem is
> Ubuntu specific.

Neither do I.

Can someone please try this on a non-Ubuntu system?
--
 joq


_______________________________________________
Jackit-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jackit-devel
Reply | Threaded
Open this post in threaded view
|

Re: new release imminent, issues ...

David-71
On Thu, 8 Jun 2006 19:34:02 -0500
"Jack O'Quin" <[hidden email]> wrote:

> On 6/8/06, Dominic Sacré <[hidden email]> wrote:
> > On Friday, 9. June 2006 01:27, Jack O'Quin wrote:
> > > > I built current SVN today. Running configure with
> > > > --disable-freebob also disabled ALSA support, which was of
> > > > course not what I intended, even adding --enable-alsa didn't
> > > > help. Without --disable-freebob, ALSA was enabled, and freebob
> > > > is disabled by default.
> > > > I'm running Ubuntu Dapper, if that matters.
> > >
> > > Me, too.  I reported the same problem.
> > >
> > > Any idea how to fix it?  I looked at the relevant parts of
> > > configure.ac rather carefully and could not see anything wrong.
> > > I'm using the latest Dapper autoconf version 2.59 and automake
> > > version 1.9.6.  I wonder if they are broken?  What versions do
> > > you have (there are several automake packages with Dapper, and
> > > the default is selectable).
> >
> > I'm also using autoconf 2.59 and automake 1.9.6. But after
> > installing automake 1.8 or 1.7 instead (and rerunning autogen.sh),
> > the issue still remains.
> > I even tried autoconf and automake1.9 from Debian unstable (on the
> > same Ubuntu install), same result. But I have no idea whether this
> > problem is Ubuntu specific.
>
> Neither do I.
>
> Can someone please try this on a non-Ubuntu system?

Same thing here on Debian testing :

$ ./configure --disable-freebob
[...]
checking for ALSA... no
[...]
jack-audio-connection-kit 0.102.14 :

| Build with ALSA support............................... : false
| Build with FreeBob support............................ : false
| Build with OSS support................................ : true
| Build with CoreAudio support.......................... : false
| Build with PortAudio support.......................... : false
[...]

Without "--disable-freebob", ALSA is found and configured (I didn't go
on to the build phase though).

> --
>  joq

--
David


_______________________________________________
Jackit-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jackit-devel
Reply | Threaded
Open this post in threaded view
|

Re: new release imminent, issues ...

Simon Jenkins
In reply to this post by Dominic Sacré
On Fri, 2006-06-09 at 02:19 +0200, Dominic Sacré wrote:

> I'm also using autoconf 2.59 and automake 1.9.6. But after installing
> automake 1.8 or 1.7 instead (and rerunning autogen.sh), the issue still
> remains.
> I even tried autoconf and automake1.9 from Debian unstable (on the same
> Ubuntu install), same result. But I have no idea whether this problem is
> Ubuntu specific.

It looks like some kind of problem with pkg-config: I can replicate the
problem (on ubuntu), then I can fix it by doing...

export PKG_CONFIG='/usr/bin/pkg-config'

The failed (well, it fails on my machine) attempt to detect freebob has
the side effect of setting this variable in configure, which is why the
attempt to detect alsa works when you don't disable freebob but not when
you do.

Simon





_______________________________________________
Jackit-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jackit-devel
Reply | Threaded
Open this post in threaded view
|

Re: new release imminent, issues ...

Pieter Palmers
In reply to this post by David-71
David wrote:

> On Thu, 8 Jun 2006 19:34:02 -0500
> "Jack O'Quin" <[hidden email]> wrote:
>
>> On 6/8/06, Dominic Sacré <[hidden email]> wrote:
>>> On Friday, 9. June 2006 01:27, Jack O'Quin wrote:
>>>>> I built current SVN today. Running configure with
>>>>> --disable-freebob also disabled ALSA support, which was of
>>>>> course not what I intended, even adding --enable-alsa didn't
>>>>> help. Without --disable-freebob, ALSA was enabled, and freebob
>>>>> is disabled by default.
>>>>> I'm running Ubuntu Dapper, if that matters.
>>>> Me, too.  I reported the same problem.
>>>>
>>>> Any idea how to fix it?  I looked at the relevant parts of
>>>> configure.ac rather carefully and could not see anything wrong.
>>>> I'm using the latest Dapper autoconf version 2.59 and automake
>>>> version 1.9.6.  I wonder if they are broken?  What versions do
>>>> you have (there are several automake packages with Dapper, and
>>>> the default is selectable).
>>> I'm also using autoconf 2.59 and automake 1.9.6. But after
>>> installing automake 1.8 or 1.7 instead (and rerunning autogen.sh),
>>> the issue still remains.
>>> I even tried autoconf and automake1.9 from Debian unstable (on the
>>> same Ubuntu install), same result. But I have no idea whether this
>>> problem is Ubuntu specific.
>> Neither do I.
>>
>> Can someone please try this on a non-Ubuntu system?
>
> Same thing here on Debian testing :
>
> $ ./configure --disable-freebob
> [...]
> checking for ALSA... no
> [...]
> jack-audio-connection-kit 0.102.14 :
>
> | Build with ALSA support............................... : false
> | Build with FreeBob support............................ : false
> | Build with OSS support................................ : true
> | Build with CoreAudio support.......................... : false
> | Build with PortAudio support.......................... : false
> [...]
>
> Without "--disable-freebob", ALSA is found and configured (I didn't go
> on to the build phase though).
>

I have the same problem on Fedora 4 and Fedora 5.

I also have no idea why this happens, looking at configure.ac doesn't
help. Everything looks like it should as far as I can tell.

Pieter



_______________________________________________
Jackit-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jackit-devel
Reply | Threaded
Open this post in threaded view
|

Re: new release imminent, issues ...

Wolfgang Woehl
In reply to this post by Jack O'Quin
Friday 09 June 2006 02:34, Jack O'Quin:
> Can someone please try this on a non-Ubuntu system?

suse10.1, current jack svn, --disable-freebob makes the alsa check fail too,
dismissing --disable-freebob makes the alsa check succeed.

autoconf-2.59-90
automake-1.9.6-11


_______________________________________________
Jackit-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jackit-devel
Reply | Threaded
Open this post in threaded view
|

Re: new release imminent, issues ...

Simon Jenkins
On Fri, 2006-06-09 at 12:08 +0200, Wolfgang Woehl wrote:

> Friday 09 June 2006 02:34, Jack O'Quin:
> > Can someone please try this on a non-Ubuntu system?
>
> suse10.1, current jack svn, --disable-freebob makes the alsa check fail too,
> dismissing --disable-freebob makes the alsa check succeed.
>
> autoconf-2.59-90
> automake-1.9.6-11
>
>

OK, got it....

/usr/share/aclocal/pkg.m4 contains the following comment:

  # Note that if there is a possibility the first call to
  # PKG_CHECK_MODULES might not happen, you should be sure to include an
  # explicit call to PKG_PROG_PKG_CONFIG in your configure.ac

and in fact the first call to PKG_CHECK_MODULES doesn't happen if you
use --disable-freebob. So somewhere near the top of configure.ac I
put...

PKG_PROG_PKG_CONFIG([0.0.1])

and that fixes it for me. That "0.0.1" is minimum
required version of pkg-config btw. I'm not sure what a sane value
for it would be.

Simon





_______________________________________________
Jackit-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jackit-devel
Reply | Threaded
Open this post in threaded view
|

Re: new release imminent, issues ...

Simon Jenkins
In reply to this post by Wolfgang Woehl
On Fri, 2006-06-09 at 12:08 +0200, Wolfgang Woehl wrote:

> Friday 09 June 2006 02:34, Jack O'Quin:
> > Can someone please try this on a non-Ubuntu system?
>
> suse10.1, current jack svn, --disable-freebob makes the alsa check fail too,
> dismissing --disable-freebob makes the alsa check succeed.
>
> autoconf-2.59-90
> automake-1.9.6-11
>
>

OK, got it....

/usr/share/aclocal/pkg.m4 contains the following comment:

  # Note that if there is a possibility the first call to
  # PKG_CHECK_MODULES might not happen, you should be sure to include an
  # explicit call to PKG_PROG_PKG_CONFIG in your configure.ac

and in fact the first call to PKG_CHECK_MODULES doesn't happen if you
use --disable-freebob. So somewhere near the top of configure.ac I
put...

PKG_PROG_PKG_CONFIG([0.0.1])

and that fixes it for me. That "0.0.1" is minimum
required version of pkg-config btw. I'm not sure what a sane value
for it would be.

Simon





_______________________________________________
Jackit-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jackit-devel
Reply | Threaded
Open this post in threaded view
|

Re: new release imminent, issues ...

Wolfgang Woehl
Friday 09 June 2006 13:11, Simon Jenkins:

> /usr/share/aclocal/pkg.m4 contains the following comment:
>
>   # Note that if there is a possibility the first call to
>   # PKG_CHECK_MODULES might not happen, you should be sure to include an
>   # explicit call to PKG_PROG_PKG_CONFIG in your configure.ac
>
> and in fact the first call to PKG_CHECK_MODULES doesn't happen if you
> use --disable-freebob. So somewhere near the top of configure.ac I
> put...
>
> PKG_PROG_PKG_CONFIG([0.0.1])
>
> and that fixes it for me.

Same here. pkgconfig-0.20


_______________________________________________
Jackit-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jackit-devel
Reply | Threaded
Open this post in threaded view
|

Re: new release imminent, issues ...

Jack O'Quin
In reply to this post by Simon Jenkins
On 6/9/06, Simon Jenkins <[hidden email]> wrote:

> On Fri, 2006-06-09 at 12:08 +0200, Wolfgang Woehl wrote:
> > Friday 09 June 2006 02:34, Jack O'Quin:
> > > Can someone please try this on a non-Ubuntu system?
> >
> > suse10.1, current jack svn, --disable-freebob makes the alsa check fail too,
> > dismissing --disable-freebob makes the alsa check succeed.
> >
> > autoconf-2.59-90
> > automake-1.9.6-11
> >
> >
>
> OK, got it....
>
> /usr/share/aclocal/pkg.m4 contains the following comment:
>
>   # Note that if there is a possibility the first call to
>   # PKG_CHECK_MODULES might not happen, you should be sure to include an
>   # explicit call to PKG_PROG_PKG_CONFIG in your configure.ac
>
> and in fact the first call to PKG_CHECK_MODULES doesn't happen if you
> use --disable-freebob. So somewhere near the top of configure.ac I
> put...
>
> PKG_PROG_PKG_CONFIG([0.0.1])
>
> and that fixes it for me. That "0.0.1" is minimum
> required version of pkg-config btw. I'm not sure what a sane value
> for it would be.

Nice job, Simon!  It never even occurred to me that PKG_CHECK_MODULES()
could have such a fundamental initialization bug.  :-/

Fix applied and committed: [0.102.15].
--
 joq


_______________________________________________
Jackit-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jackit-devel